package com.hxhq.business.dto.study;

import com.fasterxml.jackson.annotation.JsonSetter;
import com.fasterxml.jackson.annotation.Nulls;

/**
 * @author tanfei
 */
public class StudyFormFillResource {
    /**
     * 名称
     */
    private String mc;

    /**
     * 编号
     */
    private String bh;

    /**
     * 批号
     */
    private String ph;

    /**
     * 浓度
     */
    private String nd;

    /**
     * 浓度单位
     */
    private String nddw;

    /**
     * 来源
     */
    private String ly;

    /**
     * 类型：1：试剂；3：给药制剂；5：麻精药；7：供试品 9：细胞；11：细菌
     */
    @JsonSetter(nulls = Nulls.SKIP)
    private Integer type=null;

    /**
     * 失效日期
     */
    private String sxrq;

    /**
     * 库存
     */
    private String kc;

    /**
     * 库存单位
     */
    private String kcdw;

    /**
     * 使用量
     */
    private String syl;

    /**
     * 使用量单位
     */
    private String syldw;

    /**
     * 有效周期
     */
    private String yxzq;

    /**
     * 有效周期单位
     */
    private String yxzqdw;

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getLy() {
        return ly;
    }

    public void setLy(String ly) {
        this.ly = ly;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getSxrq() {
        return sxrq;
    }

    public void setSxrq(String sxrq) {
        this.sxrq = sxrq;
    }

    public String getNddw() {
        return nddw;
    }

    public void setNddw(String nddw) {
        this.nddw = nddw;
    }

    public String getKc() {
        return kc;
    }

    public void setKc(String kc) {
        this.kc = kc;
    }

    public String getKcdw() {
        return kcdw;
    }

    public void setKcdw(String kcdw) {
        this.kcdw = kcdw;
    }

    public String getSyl() {
        return syl;
    }

    public void setSyl(String syl) {
        this.syl = syl;
    }

    public String getSyldw() {
        return syldw;
    }

    public void setSyldw(String syldw) {
        this.syldw = syldw;
    }

    public String getYxzq() {
        return yxzq;
    }

    public void setYxzq(String yxzq) {
        this.yxzq = yxzq;
    }

    public String getYxzqdw() {
        return yxzqdw;
    }

    public void setYxzqdw(String yxzqdw) {
        this.yxzqdw = yxzqdw;
    }
}
